## tsdemux tsdemux |

## Properties

gboolean | emit-stats | Read / Write
gint | program-number | Read / Write

## Types and Values

struct | GstTSDemux

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── MpegTSBase
                        ╰── GstTSDemux

## Description

## Synopsis

### Element Information

plugin | mpegtsdemux
author | Zaheer Abbas Merali <zaheerabbas at merali dot org> Edward Hervey <edward.hervey@collabora.co.uk>
class | Codec/Demuxer

### Element Pads

name | sink
direction | sink
presence | always
details | video/mpegts, systemstream=(boolean)true

name | audio_%01x_%05x
direction | source
presence | sometimes
details | audio/mpeg, mpegversion=(int)1
| audio/mpeg, mpegversion=(int)2, stream-format=(string)adts
| audio/mpeg, mpegversion=(int)4, stream-format=(string)loas
| audio/x-lpcm, width=(int){ 16, 20, 24 }, rate=(int){ 48000, 96000 }, channels=(int)[ 1, 8 ], dynamic_range=(int)[ 0, 255 ], emphasis=(boolean){ false, true }, mute=(boolean){ false, true }
| audio/x-ac3
| audio/x-eac3
| audio/x-dts
| audio/x-opus
| audio/x-private-ts-lpcm

name | private_%01x_%05x
direction | source
presence | sometimes
details | ANY

name | subpicture_%01x_%05x
direction | source
presence | sometimes
details | subpicture/x-pgs
| subpicture/x-dvd
| subpicture/x-dvb

name | video_%01x_%05x
direction | source
presence | sometimes
details | video/mpeg, mpegversion=(int){ 1, 2, 4 }, systemstream=(boolean)false
| video/x-h264, stream-format=(string)byte-stream, alignment=(string)nal
| video/x-h265, stream-format=(string)byte-stream, alignment=(string)nal
| video/x-dirac
| video/x-cavs
| video/x-wmv, wmvversion=(int)3, format=(string)WVC1
| image/x-jpc

## Functions

## Types and Values

### struct GstTSDemux

    struct GstTSDemux;

## Property Details

### The `“emit-stats”` property

      “emit-stats”               gboolean

Emit messages for every pcr/opcr/pts/dts.

Flags: Read / Write

Default value: FALSE

### The `“program-number”` property

      “program-number”           gint

Program Number to demux for (-1 to ignore).

Flags: Read / Write

Allowed values: >= G_MAXULONG

Default value: -1